import { Paper, BottomNavigation, BottomNavigationAction } from "@mui/material";
import { useLocation } from "wouter-preact";
import { Home, Notifications, People, Public } from "@mui/icons-material";

export default function MobileNav() {
	const [location, navigate] = useLocation();

	return (
		<Paper
			sx={{
				position: "fixed",
				bottom: 0,
				left: 0,
				right: 0,
				display: { xs: "block", lg: "none" },
			}}
			elevation={3}
		>
			<BottomNavigation
				showLabels={false}
				value={location}
				onChange={(_, newValue) => navigate(newValue)}
			>
				<BottomNavigationAction icon={<Home />} label="Home" value="/web" />
				<BottomNavigationAction
					icon={<Notifications />}
					label="Notifications"
					value="/web/notifications"
				/>
				<BottomNavigationAction
					icon={<People />}
					label="Local"
					value="/web/local"
				/>
				<BottomNavigationAction
					icon={<Public />}
					label="Global"
					value="/web/global"
				/>
			</BottomNavigation>
		</Paper>
	);
}
