import { createApi, fetchBaseQuery } from "@reduxjs/toolkit/query/react";

import type { Post } from "$lib/api/entities/post";

export const mercuryApi = createApi({
	reducerPath: "mercuryApi",
	baseQuery: fetchBaseQuery({ baseUrl: "/api/v1" }),
	endpoints: (builder) => ({
		getPostById: builder.query<Post, string>({
			query: (id) => `/posts/${id}`,
		}),
	}),
});

export const { useGetPostByIdQuery } = mercuryApi;
