import { createSlice, type PayloadAction } from "@reduxjs/toolkit";
import type { Blog } from "$lib/api/entities/blog";

const blogSlice = createSlice({
	name: "blogs",
	initialState: { blogs: {}, blogNames: {} } as {
		blogs: Record<string, Blog>;
		blogNames: Record<string, string>;
	},
	reducers: {
		setBlog(state, action: PayloadAction<Blog>) {
			state.blogNames[action.payload.name] = action.payload.id;
			state.blogs[action.payload.id] = action.payload;
		},
		removeBlog(state, action: PayloadAction<string>) {
			delete state.blogs[action.payload];
		},
	},
});

export const blogs = blogSlice.reducer;
export const { setBlog, removeBlog } = blogSlice.actions;
