import { createSlice, type PayloadAction } from "@reduxjs/toolkit";
import type { Post } from "$lib/api/entities/post";

const postsSlice = createSlice({
	name: "posts",
	initialState: {} as Record<string, Post>,
	reducers: {
		setPost(state, action: PayloadAction<Post>) {
			state[action.payload.id] = action.payload;
		},
		removePost(state, action: PayloadAction<string>) {
			delete state[action.payload];
		},
	},
});

export const posts = postsSlice.reducer;
export const { setPost, removePost } = postsSlice.actions;
