import { useGetPostByIdQuery } from "$/lib/store/api";
import { CircularProgress } from "@mui/material";
import { Redirect, useRoute } from "wouter-preact";
import Post from "$components/post/Post";

export default function PostPage() {
	const [, params] = useRoute("/@:username/posts/:postId");
	const { data, error, isLoading } = useGetPostByIdQuery(params!.postId);

	if (error) {
		throw error;
	} else if (isLoading || !data) {
		return <CircularProgress />;
	}

	if (data.blog.name !== params!.username) {
		return (
			<>
				<Redirect to={`/web/@${data.blog.name}/posts/${data.id}`} />
				<p>hi world!</p>
			</>
		);
	}

	return (
		<>
			<Post post={data} />
		</>
	);
}
